Bug 201246 - xterm segfaults without /etc/termcap
Summary: xterm segfaults without /etc/termcap
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xterm   
(Show other bugs)
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-08-03 19:25 UTC by hanishkvc
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-14 13:37:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description hanishkvc 2006-08-03 19:25:29 UTC
Description of problem:
If there is no /etc/termcap file then xterm segfaults

Version-Release number of selected component (if applicable):
Latest FC5 xterm, based on yum update FC5

How reproducible:

Steps to Reproduce:
1. Rename /etc/termcap to something else
2. run xterm - it will segfault itself.
3. restore /etc/termcap
4. xterm will run properly 
  
Actual results:
xterm segfaults itself.

Expected results:
Either continue without termcap file or atleast display error message saying
"/etc/termcap missing" and then quit gracefully.

Additional info:

Comment 1 Thomas E. Dickey 2006-08-19 22:42:27 UTC
I can reproduce that (fix will be in #217).


Note You need to log in before you can comment on or make changes to this bug.